<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.2.2.final using JasperReports Library version 6.2.2  -->
<!-- 2018-08-23T16:30:30 -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="RptPaiBillCanCel_Sub_A" pageWidth="742" pageHeight="595" orientation="Landscape" columnWidth="702" leftMargin="20" rightMargin="20" topMargin="0" bottomMargin="20" uuid="483ccb3e-f091-400c-a0a5-ca17ed640df6">
	<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="db.xml"/>
	<parameter name="P_DIST_ID" class="java.lang.String"/>
	<parameter name="CASHIER_ID" class="java.lang.String"/>
	<parameter name="REC_STATUS" class="java.lang.String"/>
	<parameter name="RECEIPT_DATE" class="java.util.Date"/>
	<parameter name="P_LANGUAGE" class="java.lang.String"/>
	<parameter name="RECEIPT_CA" class="java.lang.String"/>
	<queryString>
		<![CDATA[select pmnt.payment_date, pmnt.payment_no, pmnt.cashier_id,pmnt.payment_total_amount
,pmntd.receipt_no, recp.receipt_ca, recp.receipt_debt_type, recp.receipt_int_total_amount
,pmnt.payment_void_date,pmnt.payment_remark
from pai_t_payment pmnt 
inner join pai_t_payment_dtl pmntd
on pmnt.payment_id = pmntd.payment_id
inner join meascs.pai_t_receipt recp
on pmntd.receipt_id = recp.receipt_id
where 1=1
and recp.cashier_id = $P{CASHIER_ID}
and pmnt.dist_id = $P{P_DIST_ID}
and pmnt.rec_status =  $P{REC_STATUS}
and  TRUNC(recp.receipt_date) = TRUNC($P{RECEIPT_DATE})
and recp.receipt_ca = $P{RECEIPT_CA}
order by pmnt.payment_no,pmntd.receipt_no, recp.receipt_debt_type, pmnt.cashier_id
--order by recp.receipt_no, pmnt.cashier_id]]>
	</queryString>
	<field name="PAYMENT_DATE" class="java.sql.Date"/>
	<field name="PAYMENT_NO" class="java.lang.String"/>
	<field name="CASHIER_ID" class="java.lang.String"/>
	<field name="PAYMENT_TOTAL_AMOUNT" class="java.math.BigDecimal"/>
	<field name="RECEIPT_NO" class="java.lang.String"/>
	<field name="RECEIPT_CA" class="java.math.BigDecimal"/>
	<field name="RECEIPT_DEBT_TYPE" class="java.math.BigDecimal"/>
	<field name="RECEIPT_INT_TOTAL_AMOUNT" class="java.math.BigDecimal"/>
	<field name="PAYMENT_VOID_DATE" class="java.sql.Date"/>
	<field name="PAYMENT_REMARK" class="java.lang.String"/>
	<variable name="SUM_PAYMENT_TOTAL_AMOUNT" class="java.math.BigDecimal" incrementType="Group" incrementGroup="PAYMENT_NO_GRP" calculation="Sum">
		<variableExpression><![CDATA[$F{PAYMENT_TOTAL_AMOUNT}]]></variableExpression>
	</variable>
	<group name="PAYMENT_NO_GRP">
		<groupExpression><![CDATA[$F{PAYMENT_NO}]]></groupExpression>
		<groupHeader>
			<band height="22">
				<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
				<textField isStretchWithOverflow="true" isBlankWhenNull="true">
					<reportElement isPrintRepeatedValues="false" x="107" y="2" width="71" height="20" uuid="7a34c8d3-ff2e-41bd-a01a-7698cccb2cb2">
						<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
					</reportElement>
					<textElement textAlignment="Center" verticalAlignment="Top">
						<font fontName="TH SarabunPSK" size="14"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{PAYMENT_NO}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" isBlankWhenNull="true">
					<reportElement x="52" y="2" width="54" height="20" uuid="235d0994-3498-4a46-8284-fd3d66fd18a4">
						<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
					</reportElement>
					<textElement textAlignment="Center" verticalAlignment="Top">
						<font fontName="TH SarabunPSK" size="14"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{PAYMENT_DATE}!=null?  th.or.mea.scs.util.DateUtils.toStringDateSimpleFormat($F{PAYMENT_DATE},$P{P_LANGUAGE},
"HH:mm:ss"):""]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" isBlankWhenNull="true">
					<reportElement x="0" y="2" width="52" height="20" uuid="c17bf694-ab0e-457c-a80a-192cc4844ef3">
						<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
					</reportElement>
					<textElement textAlignment="Center" verticalAlignment="Top">
						<font fontName="TH SarabunPSK" size="14"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{PAYMENT_DATE}!=null?  th.or.mea.scs.util.DateUtils.toDateDDMMYYYYSimpleFormat($F{PAYMENT_DATE},$P{P_LANGUAGE}):"-"]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" pattern="#,##0.00#" isBlankWhenNull="true">
					<reportElement x="399" y="1" width="54" height="20" uuid="45fee397-a015-49b9-b217-4627cc04f873">
						<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
					</reportElement>
					<textElement textAlignment="Right" verticalAlignment="Top">
						<font fontName="TH SarabunPSK" size="14"/>
						<paragraph rightIndent="5"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{PAYMENT_TOTAL_AMOUNT}]]></textFieldExpression>
				</textField>
			</band>
		</groupHeader>
		<groupFooter>
			<band/>
		</groupFooter>
	</group>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band splitType="Stretch"/>
	</title>
	<pageHeader>
		<band height="29" splitType="Stretch">
			<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
			<staticText>
				<reportElement x="0" y="4" width="48" height="20" uuid="52f202f2-468d-43ae-b971-a755a6520156">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
					<property name="com.jaspersoft.studio.unit.width" value="pixel"/>
				</reportElement>
				<textElement textAlignment="Center">
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<text><![CDATA[วันที่รับชำระ]]></text>
			</staticText>
			<staticText>
				<reportElement x="52" y="4" width="54" height="20" uuid="74b60ac4-865c-4117-a118-4d515758e58f">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
					<property name="com.jaspersoft.studio.unit.width" value="pixel"/>
				</reportElement>
				<textElement textAlignment="Center">
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<text><![CDATA[เวลาที่รับชำระ]]></text>
			</staticText>
			<staticText>
				<reportElement x="107" y="4" width="71" height="20" uuid="db5399ad-1ab6-47a3-a881-c5ef580475a8">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
					<property name="com.jaspersoft.studio.unit.width" value="pixel"/>
				</reportElement>
				<textElement textAlignment="Center">
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<text><![CDATA[เอกสารรับชำระ]]></text>
			</staticText>
			<staticText>
				<reportElement x="254" y="4" width="64" height="20" uuid="7d41b560-82c2-48df-b6bc-7b79234043cb">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
					<property name="com.jaspersoft.studio.unit.width" value="pixel"/>
				</reportElement>
				<textElement textAlignment="Center">
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<text><![CDATA[บัญชีแสดงสัญญา]]></text>
			</staticText>
			<staticText>
				<reportElement x="178" y="4" width="74" height="20" uuid="e8be0fd6-cf65-40c9-b6d0-a974ca4e54fd">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
					<property name="com.jaspersoft.studio.unit.width" value="pixel"/>
				</reportElement>
				<textElement textAlignment="Center">
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<text><![CDATA[เลขที่ใบเสร็จ]]></text>
			</staticText>
			<staticText>
				<reportElement x="320" y="4" width="77" height="20" uuid="a54071c1-2c3e-45eb-9ca5-cf099b290672">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
				</reportElement>
				<textElement textAlignment="Center">
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<text><![CDATA[ประเภทการรับชำระ]]></text>
			</staticText>
			<staticText>
				<reportElement x="399" y="4" width="54" height="20" uuid="ab005a20-8cdd-45a3-80c2-39d6d8402115">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
				</reportElement>
				<textElement textAlignment="Center">
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<text><![CDATA[จำนวนเงิน]]></text>
			</staticText>
			<staticText>
				<reportElement x="455" y="4" width="50" height="20" uuid="31561bd6-bee9-4ee0-ac45-06833dadf1ab">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
					<property name="com.jaspersoft.studio.unit.width" value="pixel"/>
				</reportElement>
				<textElement textAlignment="Center">
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<text><![CDATA[รหัสพนักงาน]]></text>
			</staticText>
			<staticText>
				<reportElement x="603" y="4" width="44" height="20" uuid="db557b3d-d10c-4372-9101-ec4997275214">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
					<property name="com.jaspersoft.studio.unit.width" value="pixel"/>
				</reportElement>
				<textElement textAlignment="Center">
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<text><![CDATA[วันที่ยกเลิก]]></text>
			</staticText>
			<staticText>
				<reportElement x="648" y="4" width="51" height="20" uuid="8688dff3-6d98-4fea-9aa2-fa785f03e65a">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
					<property name="com.jaspersoft.studio.unit.width" value="pixel"/>
				</reportElement>
				<textElement textAlignment="Center">
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<text><![CDATA[เวลาที่ยกเลิก]]></text>
			</staticText>
			<staticText>
				<reportElement x="505" y="4" width="98" height="20" uuid="877fd88f-a2b5-4c56-97f9-9385ea4bab1d">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
					<property name="com.jaspersoft.studio.unit.width" value="pixel"/>
				</reportElement>
				<textElement textAlignment="Center">
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<text><![CDATA[หมายเหตุการยกเลิก]]></text>
			</staticText>
			<line>
				<reportElement x="0" y="0" width="705" height="1" uuid="08a765de-87d7-4eef-b4ba-f736a811f86b">
					<property name="com.jaspersoft.studio.unit.width" value="pixel"/>
				</reportElement>
			</line>
			<line>
				<reportElement x="0" y="28" width="705" height="1" uuid="9463c373-e3a9-425b-818f-d3be1580428e">
					<property name="com.jaspersoft.studio.unit.width" value="pixel"/>
				</reportElement>
			</line>
		</band>
	</pageHeader>
	<columnHeader>
		<band splitType="Stretch"/>
	</columnHeader>
	<detail>
		<band height="25" splitType="Stretch">
			<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement x="178" y="0" width="74" height="20" uuid="919e48fa-0992-41b3-b22b-0c11b5c3aedf">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Top">
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{RECEIPT_NO}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement x="254" y="0" width="64" height="20" uuid="50ca46c2-d827-435d-9580-916302e2fe79">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Top">
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{RECEIPT_CA}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement x="320" y="0" width="77" height="20" uuid="0faae122-c406-4a2f-8b94-85608ce4483e">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
				</reportElement>
				<textElement textAlignment="Left" verticalAlignment="Top">
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{RECEIPT_DEBT_TYPE}.intValue()==1?"ค่าบริการขอใช้ไฟฟ้า":$F{RECEIPT_DEBT_TYPE}.intValue()==2?"ค่าหลักประกัน":$F{RECEIPT_DEBT_TYPE}.intValue()==3?"ค่าไฟฟ้า":"-"]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="#,##0.00#" isBlankWhenNull="true">
				<reportElement x="399" y="0" width="54" height="20" uuid="ca01a2d6-89f6-4b26-8737-05e7d6f83bf3">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
				</reportElement>
				<textElement textAlignment="Right" verticalAlignment="Top">
					<font fontName="TH SarabunPSK" size="14"/>
					<paragraph rightIndent="5"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{RECEIPT_INT_TOTAL_AMOUNT}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement x="455" y="0" width="50" height="20" uuid="a48a7dbf-a45b-452c-884e-f10c57c06d34">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Top">
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{CASHIER_ID}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement x="603" y="0" width="44" height="20" uuid="5fdde344-9f7c-4bb6-84a0-bf3b7d30777b">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Top">
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{PAYMENT_VOID_DATE}!=null?  th.or.mea.scs.util.DateUtils.toDateDDMMYYYYSimpleFormat($F{PAYMENT_VOID_DATE},$P{P_LANGUAGE}):""]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement x="648" y="0" width="51" height="20" uuid="a3f792a7-57d5-46b6-98fd-a92c73208718">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Top">
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{PAYMENT_VOID_DATE}!=null?  th.or.mea.scs.util.DateUtils.toStringDateSimpleFormat($F{PAYMENT_VOID_DATE},$P{P_LANGUAGE},
"HH:mm:ss"):""]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement x="505" y="0" width="98" height="20" uuid="80a997ea-425e-42c6-8ad7-9fd42d3315a7">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Top">
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{PAYMENT_REMARK}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band splitType="Stretch">
			<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
		</band>
	</columnFooter>
	<pageFooter>
		<band splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band height="22" splitType="Stretch">
			<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
			<textField isStretchWithOverflow="true" pattern="#,##0.00#" isBlankWhenNull="false">
				<reportElement x="399" y="2" width="54" height="20" uuid="9eafc7d8-2d81-4990-b569-533cbfe5ac5c">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
				</reportElement>
				<textElement textAlignment="Right" verticalAlignment="Top">
					<font fontName="TH SarabunPSK" size="14"/>
					<paragraph rightIndent="5"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{SUM_PAYMENT_TOTAL_AMOUNT}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="309" y="1" width="88" height="20" uuid="75965a6f-8f9f-4140-aea4-f0f3291dd668">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
				</reportElement>
				<textElement textAlignment="Center">
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<text><![CDATA[รวมจำนวนเงิน]]></text>
			</staticText>
			<staticText>
				<reportElement x="455" y="1" width="57" height="20" uuid="f55d759a-a636-4268-be3f-d5f1cdede646">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
				</reportElement>
				<textElement textAlignment="Center">
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<text><![CDATA[บาท]]></text>
			</staticText>
			<line>
				<reportElement x="0" y="1" width="702" height="1" uuid="b5f5c540-e43b-4511-be31-ffe7f6cf86e5"/>
			</line>
			<line>
				<reportElement x="0" y="21" width="702" height="1" uuid="99796c14-2514-444c-bf96-ab7ac5304be4"/>
			</line>
		</band>
	</summary>
</jasperReport>
